﻿BINDING_HEADER_RANDOMCOMPANION = "RandomCompanion";
BINDING_NAME_RANDOMCOMPANION_MOUNT = "Random mount";
BINDING_NAME_RANDOMCOMPANION_MOUNT_GROUND = "Random ground mount";
BINDING_NAME_RANDOMCOMPANION_PET_SUMMON = "Random vanity pet";
BINDING_NAME_RANDOMCOMPANION_PET_DISMISS = "Dismiss vanity pet";

RC_STRING_AHN_QIRAJ = "Ahn'Qiraj";
RC_STRING_OUTLAND = "Outland";
RC_STRING_NORTHREND = "Northrend";
RC_STRING_VERY = "very";
RC_STRING_EXTREMELY = "extremely"; --Add localization for this
RC_STRING_FAST = "fast";
RC_STRING_SWIMMER = "swimmer";

RC_STRING_ALBINO_DRAKE = "Albino Drake"; -- Only used for testing

RC_STRING_ENGINEERING = "Engineering";
RC_STRING_TAILORING = "Tailoring";
RC_STRING_ENGINEERING_REQUIREMENT = "Requires";
RC_STRING_TAILORING_REQUIREMENT = "Requires";
RC_STRING_SNOWBALL = "Snowball";
RC_STRING_STEALTH = "Stealth";
RC_STRING_PROWL = "Prowl";
RC_STRING_SHADOWMELD = "Shadowmeld";
RC_STRING_INVISIBILITY = "Invisibility";
RC_STRING_EATING = "Food";
RC_STRING_DRINKING = "Drink";
RC_STRING_GRACCU = "Graccu's Mince Meat Fruitcake";
RC_STRING_FLIGHT_FORM = "Flight Form";
RC_STRING_SWIFT_FLIGHT_FORM = "Swift Flight Form";
RC_STRING_CELESTIAL_STEED = "Celestial Steed";
RC_STRING_TOURING_ROCKET = "X-53 Touring Rocket";
RC_STRING_CAMOUFLAGE = "Camouflage";
RC_STRING_TRAPPED_IN_AMBER = "Trapped in Amber";
RC_STRING_BLESSING_OF_THE_OLD_GOD = "Recieve the Blessing of the Old God";
RC_STRING_WISP_FORM = "Wisp Form";
RC_STRING_ENDURE_TRANSFORMATION = "Endure the Transformation";
RC_STRING_FEIGN_DEATH = "Feign Death";

--Zones
RC_STRING_TEMPLE_OF_AHN_QIRAJ = "Ahn'Qiraj";
RC_STRING_BOREAN_TUNDRA = "Borean Tundra";
RC_STRING_CRYSTALSONG_FOREST = "Crystalsong Forest";
RC_STRING_DALARAN = "Dalaran";
RC_STRING_DRAGONBLIGHT = "Dragonblight";
RC_STRING_GRIZZLY_HILLS = "Grizzly Hills";
RC_STRING_HOWLING_FJORD = "Howling Fjord";
RC_STRING_ICECROWN = "Icecrown";
RC_STRING_KRASUS_LANDING = "Krasus' Landing";
RC_STRING_SHOLAZAR_BASIN = "Sholazar Basin";
RC_STRING_STORM_PEAKS = "The Storm Peaks";
RC_STRING_UNDERBELLY = "The Underbelly";
RC_STRING_WINTERGRASP = "Wintergrasp";
RC_STRING_ZUL_DRAK = "Zul'Drak";
RC_STRING_VASHJ_IR = "Vashj'ir";
RC_STRING_ABYSSAL_DEPTHS = "Abyssal Depths";
RC_STRING_KELP_THAR_FOREST = "Kelp'thar Forest";
RC_STRING_SHIMMERING_EXPANSE = "Shimmering Expanse";
RC_STRING_NESPIRAH = "Nespirah";
RC_STRING_DEADMINES = "The Deadmines"
RC_STRING_THRONE_OF_FOUR_WINDS = "Throne of the Four Winds";

RC_STRING_COLD_WEATHER_FLYING = "Cold Weather Flying";
RC_STRING_FLIGHT_LICENSE = "Flight Master's License";
RC_STRING_CLOUD_SERPENT_RIDING = "Cloud Serpent Riding";

--Scaling mounts
RC_STRING_INVINCIBLE = "Invincible";
RC_STRING_LOVE_ROCKET = "Big Love Rocket";
RC_STRING_HORSEMAN_MOUNT = "Headless Horseman's Mount";
RC_STRING_BLIZZARD_BEAR = "Big Blizzard Bear";
RC_STRING_DK_FLYER = "Winged Steed of the Ebon Blade";

--310% mounts
RC_STRING_MIMIRONS_HEAD = "Mimiron's Head";
RC_STRING_ASHES_OF_ALAR = "Ashes of Al'ar";
RC_STRING_BLACK_PROTO_DRAKE = "Black Proto-Drake";
RC_STRING_PLAGUED_PROTO_DRAKE = "Plagued Proto-Drake";
RC_STRING_RUSTED_PROTO_DRAKE = "Rusted Proto-Drake";
RC_STRING_IRONBOUND_PROTO_DRAKE = "Ironbound Proto-Drake";
RC_STRING_VIOLET_PROTO_DRAKE = "Violet Proto-Drake";
RC_STRING_ONYXIAN_DRAKE = "Onyxian Drake";
RC_STRING_BLACK_QIRAJI_BATTLE_TANK = "Black Qiraji Battle Tank";

if GetLocale() == "enUS" or GetLocale() == "enGB" then
	-- do nothing
elseif GetLocale() == "deDE" then
	RC_STRING_AHN_QIRAJ = "Ahn'Qiraj";
	RC_STRING_OUTLAND = "Scherbenwelt";
	RC_STRING_NORTHREND = "Nordend";
	RC_STRING_VERY = "sehr";
	RC_STRING_FAST = "schnelle";
	RC_STRING_SWIMMER = "Meeresschildkröte"; --Won't work if more swimming mounts are added
	
	RC_STRING_ENGINEERING = "Ingenieurskunst";
	RC_STRING_TAILORING = "Schneiderei";
	RC_STRING_ENGINEERING_REQUIREMENT = "Die Nutzung benötigt eine Ingenieurskunstfertigkeit von";
	RC_STRING_TAILORING_REQUIREMENT = "Die Nutzung benötigt eine Schneiderfertigkeit von";
	RC_STRING_SNOWBALL = "Schneeball";
	RC_STRING_STEALTH = "Verstohlenheit";
	RC_STRING_PROWL = "Schleichen";
	RC_STRING_SHADOWMELD = "Schattenmimik";
	RC_STRING_INVISIBILITY = "Unsichtbarkeit";
	RC_STRING_EATING = "Essen";
	RC_STRING_DRINKING = "Trinken";
	RC_STRING_GRACCU = "Graccus hausgemachte Früchtepastete";
	RC_STRING_FLIGHT_FORM = "Fluggestalt";
	RC_STRING_SWIFT_FLIGHT_FORM = "Schnelle Fluggestalt";
	RC_STRING_CELESTIAL_STEED = "Himmelsross";
	RC_STRING_TOURING_ROCKET = "X-53 Reiserakete";
	RC_STRING_CAMOUFLAGE = "Camouflage";
	RC_STRING_TRAPPED_IN_AMBER = "In Bernstein eingeschlossen";
	RC_STRING_BLESSING_OF_THE_OLD_GOD = "Den Segen des Alten Gottes empfangen";
	RC_STRING_WISP_FORM = "Irrwischgestalt";
	RC_STRING_ENDURE_TRANSFORMATION = "Transformation durchleben";
	RC_STRING_FEIGN_DEATH = "Totstellen";
	
	RC_STRING_TEMPLE_OF_AHN_QIRAJ = "Ahn'Qiraj";
	RC_STRING_BOREAN_TUNDRA = "Boreanische Tundra";
	RC_STRING_CRYSTALSONG_FOREST = "Kristallsangwald";
	RC_STRING_DALARAN = "Dalaran";
	RC_STRING_DRAGONBLIGHT = "Drachenöde";
	RC_STRING_GRIZZLY_HILLS = "Grizzlyhügel";
	RC_STRING_HOWLING_FJORD = "Der heulende Fjord";
	RC_STRING_ICECROWN = "Eiskrone";
	RC_STRING_SHOLAZAR_BASIN = "Sholazarbecken";
	RC_STRING_STORM_PEAKS = "Die Sturmgipfel";
	RC_STRING_WINTERGRASP = "Tausendwintersee";
	RC_STRING_ZUL_DRAK = "Zul'Drak";
	RC_STRING_KRASUS_LANDING = "Krasus' Landeplatz"; --Thanks, Herekren
	RC_STRING_UNDERBELLY = "Die Schattenseite"; --Thanks, Herekren
	RC_STRING_VASHJ_IR = "Vashj'ir";
	RC_STRING_ABYSSAL_DEPTHS = "Abyssische Tiefen";
	RC_STRING_KELP_THAR_FOREST = "Tang'tharwald";
	RC_STRING_SHIMMERING_EXPANSE = "Schimmernde Weiten";
	RC_STRING_NESPIRAH = "Nespirah";
	RC_STRING_DEADMINES = "Die Todesminen";
	RC_STRING_THRONE_OF_FOUR_WINDS = "Thron der Vier Winde";
	
	RC_STRING_COLD_WEATHER_FLYING = "Kaltwetterflug";
    RC_STRING_CLOUD_SERPENT_RIDING = "Wolkenschlangenreiten";
	RC_STRING_INVINCIBLE = "Unverwundbar";
	RC_STRING_LOVE_ROCKET = "Große Liebesrakete";
	RC_STRING_HORSEMAN_MOUNT = "Ross des kopflosen Reiters";
	RC_STRING_BLIZZARD_BEAR = "Großer Blizzardbär";
	RC_STRING_DK_FLYER = "Geflügeltes Reittier der schwarzen Klinge";
	RC_STRING_MIMIRONS_HEAD = "Mimirons Kopf";
	RC_STRING_ASHES_OF_ALAR = "Al'ars Asche";
	RC_STRING_BLACK_PROTO_DRAKE = "Schwarzer Protodrache";
	RC_STRING_PLAGUED_PROTO_DRAKE = "Verseuchter Protodrache";
	RC_STRING_RUSTED_PROTO_DRAKE = "Rostiger Protodrache";
	RC_STRING_IRONBOUND_PROTO_DRAKE = "Eisenbeschlagener Protodrache";
	RC_STRING_VIOLET_PROTO_DRAKE = "Violetter Protodrache";
	RC_STRING_ONYXIAN_DRAKE = "Drache von Onyxia";
	RC_STRING_BLACK_QIRAJI_BATTLE_TANK = "Schwarze Qirajipanzerdrohne";
elseif GetLocale() == "frFR" then
	RC_STRING_AHN_QIRAJ = "Ahn'Qiraj";
	RC_STRING_OUTLAND = "Outreterre";
	RC_STRING_NORTHREND = "Norfendre";
	RC_STRING_VERY = "très";
	RC_STRING_FAST = "rapide";
	RC_STRING_SWIMMER = "nageuse";
	
	RC_STRING_ENGINEERING = "Ingénierie";
	RC_STRING_TAILORING = "Couture";
	RC_STRING_ENGINEERING_REQUIREMENT = "Nécessite une compétence de";
	RC_STRING_TAILORING_REQUIREMENT = "Nécessite une compétence de";
	RC_STRING_SNOWBALL = "Boule de neige";
	RC_STRING_STEALTH = "Camouflage";
	RC_STRING_PROWL = "Rôder";
	RC_STRING_SHADOWMELD = "Camouflage dans l'ombre";
	RC_STRING_INVISIBILITY = "Invisibilité";
	RC_STRING_EATING = "Nourriture";
	RC_STRING_DRINKING = "Boisson";
	RC_STRING_GRACCU = "Gâteau aux fruits secs de Graccu";
	RC_STRING_FLIGHT_FORM = "Forme de vol";
	RC_STRING_SWIFT_FLIGHT_FORM = "Forme de vol rapide";
	RC_STRING_CELESTIAL_STEED = "Palefroi céleste";
	RC_STRING_TOURING_ROCKET = "Fusée de tourisme X-53";
	RC_STRING_CAMOUFLAGE = "Dissimulation";
	RC_STRING_TRAPPED_IN_AMBER = "Emprisonné dans l’ambre";
	RC_STRING_BLESSING_OF_THE_OLD_GOD = "Recevoir la Bénédiction du Dieu très ancien";
	RC_STRING_WISP_FORM = "Forme de feu follet";
	RC_STRING_ENDURE_TRANSFORMATION = "Subir la transformation";
	RC_STRING_FEIGN_DEATH = "Feindre la mort";
	
	RC_STRING_TEMPLE_OF_AHN_QIRAJ = "Ahn'Qiraj";
	RC_STRING_BOREAN_TUNDRA = "Toundra Boréenne";
	RC_STRING_CRYSTALSONG_FOREST = "Forêt du Chant de cristal";
	RC_STRING_DALARAN = "Dalaran";
	RC_STRING_DRAGONBLIGHT = "Désolation des dragons";
	RC_STRING_GRIZZLY_HILLS = "Les Grisonnes";
	RC_STRING_HOWLING_FJORD = "Fjord Hurlant";
	RC_STRING_ICECROWN = "La Couronne de glace";
	RC_STRING_SHOLAZAR_BASIN = "Bassin de Sholazar";
	RC_STRING_STORM_PEAKS = "Les pics Foudroyés";
	RC_STRING_WINTERGRASP = "Joug-d'hiver";
	RC_STRING_ZUL_DRAK = "Zul'Drak";
	RC_STRING_KRASUS_LANDING = "Aire de Krasus";
	RC_STRING_VASHJ_IR = "Vashj'ir";
	RC_STRING_ABYSSAL_DEPTHS = "Profondeurs Abyssales";
	RC_STRING_KELP_THAR_FOREST = "Forêt de Varech'thar";
	RC_STRING_SHIMMERING_EXPANSE = "Étendues Chatoyantes";
	RC_STRING_NESPIRAH = "Nespirah";
	RC_STRING_DEADMINES = "Les Mortemines";
	RC_STRING_THRONE_OF_FOUR_WINDS = "Trône des quatre vents";
	
	RC_STRING_COLD_WEATHER_FLYING = "Vol par temps froid";
    RC_STRING_CLOUD_SERPENT_RIDING = "Monte d’un serpent-nuage";
	RC_STRING_INVINCIBLE = "Invincible";
	RC_STRING_LOVE_ROCKET = "Grande fusée d'amour";
	RC_STRING_HORSEMAN_MOUNT = "Monture du Cavalier sans tête";
	RC_STRING_BLIZZARD_BEAR = "Grand ours du Blizzard";
	RC_STRING_DK_FLYER = "Palefroi ailé de la Lame d'ébène";
	RC_STRING_MIMIRONS_HEAD = "Tête de Mimiron";
	RC_STRING_ASHES_OF_ALAR = "Cendres d'Al'ar";
	RC_STRING_BLACK_PROTO_DRAKE = "Proto-drake noir";
	RC_STRING_PLAGUED_PROTO_DRAKE = "Proto-drake pestiféré";
	RC_STRING_RUSTED_PROTO_DRAKE = "Proto-drake rouillé";
	RC_STRING_IRONBOUND_PROTO_DRAKE = "Proto-drake enchaîné";
	RC_STRING_VIOLET_PROTO_DRAKE = "Proto-drake pourpre";
	RC_STRING_ONYXIAN_DRAKE = "Drake onyxien";
	RC_STRING_BLACK_QIRAJI_BATTLE_TANK = "Char d'assaut qiraji noir";
elseif GetLocale() == "ruRU" then
	RC_STRING_AHN_QIRAJ = "Ан'Кираж";
	RC_STRING_OUTLAND = "Запределье";
	RC_STRING_NORTHREND = "Нордсколе"; -- this may be incorrect, but it should work for detecting if it's a flying mount
	RC_STRING_VERY = "очень";
	RC_STRING_FAST = "быстрое";
	RC_STRING_SWIMMER = "воде"; --May not work if more swimming mounts are added
	
	RC_STRING_ENGINEERING = "Инженерное дело";
	RC_STRING_TAILORING = "Портняжное дело";
	RC_STRING_ENGINEERING_REQUIREMENT = "Требуется навык инженерного дела";
	RC_STRING_TAILORING_REQUIREMENT = "Для езды требуется уровень навыка в портняжном деле –";
	RC_STRING_SNOWBALL = "Снежок";
	RC_STRING_STEALTH = "Незаметность";
	RC_STRING_PROWL = "Крадущийся зверь";
	RC_STRING_SHADOWMELD = "Слиться с тенью";
	RC_STRING_INVISIBILITY = "Невидимость";
	RC_STRING_EATING = "Пища";
	RC_STRING_DRINKING = "Питье";
	RC_STRING_GRACCU = "Кекс Гракку с мясом и фруктами";
	RC_STRING_FLIGHT_FORM = "Облик птицы";
	RC_STRING_SWIFT_FLIGHT_FORM = "Облик стремительной птицы";
	RC_STRING_CELESTIAL_STEED = "Небесный скакун";
	RC_STRING_TOURING_ROCKET = "Прогулочная ракета X-53";
	RC_STRING_CAMOUFLAGE = "Камуфляж";
	RC_STRING_TRAPPED_IN_AMBER = "Застыть в янтаре";
	RC_STRING_BLESSING_OF_THE_OLD_GOD = "Благословение древнего бога";
	RC_STRING_WISP_FORM = "Облик светлячка";
	RC_STRING_ENDURE_TRANSFORMATION = "Продлить преображение";
	RC_STRING_FEIGN_DEATH = "Притвориться мертвым";
	
	RC_STRING_TEMPLE_OF_AHN_QIRAJ = "Ан'Кираж";
	RC_STRING_BOREAN_TUNDRA = "Борейская тундра";
	RC_STRING_CRYSTALSONG_FOREST = "Лес Хрустальной Песни";
	RC_STRING_DALARAN = "Даларан";
	RC_STRING_DRAGONBLIGHT = "Драконий Погост";
	RC_STRING_GRIZZLY_HILLS = "Седые холмы";
	RC_STRING_HOWLING_FJORD = "Ревущий фьорд";
	RC_STRING_ICECROWN = "Ледяная корона";
	RC_STRING_SHOLAZAR_BASIN = "Низина Шолазар";
	RC_STRING_STORM_PEAKS = "Грозовая Гряда";
	RC_STRING_WINTERGRASP = "Озеро Ледяных Оков";
	RC_STRING_ZUL_DRAK = "Зул'Драк";
	RC_STRING_KRASUS_LANDING = "Площадка Красуса";
	RC_STRING_VASHJ_IR = "Вайш'ир";
	RC_STRING_ABYSSAL_DEPTHS = "Бездонные глубины";
	RC_STRING_KELP_THAR_FOREST = "Лес Келп’тар";
	RC_STRING_SHIMMERING_EXPANSE = "Мерцающий простор";
	RC_STRING_NESPIRAH = "Неспира";
	RC_STRING_DEADMINES = "Мертвые копи";
	RC_STRING_THRONE_OF_FOUR_WINDS = "Трон Четырех Ветров";
	
	RC_STRING_COLD_WEATHER_FLYING = "Полеты в непогоду";
    RC_STRING_CLOUD_SERPENT_RIDING = "зда на облачных змеях";
	RC_STRING_INVINCIBLE = "Непобедимый";
	RC_STRING_LOVE_ROCKET = "Большая ракета любви";
	RC_STRING_HORSEMAN_MOUNT = "Скакун Всадника без головы";
	RC_STRING_BLIZZARD_BEAR = "Большой медведь Blizzard";
	RC_STRING_DK_FLYER = "Крылатый скакун Черного Клинка";
	RC_STRING_MIMIRONS_HEAD = "Голова Мимирона";
	RC_STRING_ASHES_OF_ALAR = "Пепел Ал'ара";
	RC_STRING_BLACK_PROTO_DRAKE = "Черный протодракон";
	RC_STRING_PLAGUED_PROTO_DRAKE = "Чумной протодракон";
	RC_STRING_RUSTED_PROTO_DRAKE = "Ржавый протодракон";
	RC_STRING_IRONBOUND_PROTO_DRAKE = "Бронированный протодракон";
	RC_STRING_VIOLET_PROTO_DRAKE = "Аметистовый протодракон";
	RC_STRING_ONYXIAN_DRAKE = "Дракон Ониксии";
	RC_STRING_BLACK_QIRAJI_BATTLE_TANK = "Черный киражский боевой танк";
else
	DEFAULT_CHAT_FRAME:AddMessage("RandomCompanion: Your language is not currently supported by RandomCompanion.");
end
